from parallels.core.global_context import GlobalMigrationContext
from parallels.plesk.source.helm3.helm3_agent import Helm3Agent
from parallels.core.utils.common import cached


class Helm3GlobalMigrationContext(GlobalMigrationContext):
	def __init__(self):
		super(Helm3GlobalMigrationContext, self).__init__()

	@property
	@cached
	def helm3_agent(self):
		return Helm3Agent(self.conn.helm3.get_main_source_server())